トップ 差分 一覧 ソース 置換 検索 ヘルプ PDF RSS ログイン

Linux で Meld をインストールする

ダウンロード

http://meldmerge.org/
からダウンロードする。

解凍

tar -Jxvf meld-1.6.1.tar.xz

必要なパッケージ導入

yum install intltool gnome-icon-theme vlgothic-fonts

※gnomeがインストールされていない環境の場合以下のパッケージがないと正常に動作しないことがある

gnome-icon-theme
fonts-vlgothic

WSLやdockerなどのGUI環境以外では

gnome-shell

がないと設定が保存できない。mozc等をインストールするときに一緒にインストールされる。

configure & make

./configure

make
make install

注意

meld 1.5.0 以上は、 python2.5 が必要。
CentOS5 では、 1.4.0 が良いかも。
meld-1.4.0.tar.bz2(457)
meld-1.1.5.tar.bz2(355)

設定

空白を無視して比較する
設定画面の「TextFilters」で、「All whitespace」を選択する
文字コード
SJISが化ける場合は、SJISの代わりにcp932を設定する

[カテゴリ: ツール]
[カテゴリ: OS > Linux]

[通知用URL]



  • Hatenaブックマークに追加
  • livedoorクリップに追加
  • del.icio.usに追加
  • FC2ブックマークに追加

最終更新時間:2023年01月18日 23時19分52秒